import Foundation
import UIKit

let far = Measurement<UnitTemperature>(value: 50, unit: .fahrenheit)
let fmt = MeasurementFormatter()
fmt.unitStyle = .long
fmt.unitOptions = .providedUnit
fmt.string(from: far.converted(to: .kelvin))

